Subject: Re: bug#55857: Odd Shepherd message on 'guix system reconfigure': (map (# ?) ?)

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 15 Jun 2022 11:51:12 -0400

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> The message is produced by shepherd as a response to an expression that
>>> ‘guix system reconfigure’ tells it to evaluate, in (gnu services herd).
>>> And all this happens as part of the live service upgrade mechanism.
>>>
>>> Admittedly, this particular message is not something one cares about as
>>> a user, but it seemed safer to print messages shepherd might send during
>>> that operation.
>>
>> Perhaps what we need is a proper logging infrastructure?
>
> The difficulty here is that the message comes from shepherd without a
> priority/level flag.  Usually those messages are well worth displaying
> because they show what services got restarted, what failed, etc.  But
> this one message is the fly in the ointment…

Yes, I wasn't clear but I meant *Shepherd* needs a proper logging
infrastructure (although it seems to me the logging library in Guile-Lib
could be used in any Guile project, Guix included -- the way the
'logging' module comes standard in Python and preferred to printing or
reinventing a logging system :-)).

Maxim